VULKAN_HPP_NAMESPACE::Fence Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Fence ()
VULKAN_HPP_CONSTEXPR | Fence (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Fence (VkFence fence)
Fence & | operator= (std::nullptr_t)
bool | operator== (Fence const &rhs) const
bool | operator!= (Fence const &rhs) const
bool | operator< (Fence const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkFence () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkFence | m_fence

## Detailed Description

Definition at line 3815 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Fence() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Fence::Fence | ( |  | ) |

inline

Definition at line 3818 of file vulkan.hpp.

: m_fence(VK_NULL_HANDLE)
{}

## Fence() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Fence::Fence | ( | std::nullptr_t |  | ) |

inline

Definition at line 3822 of file vulkan.hpp.

: m_fence(VK_NULL_HANDLE)
{}

## Fence() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Fence::Fence | ( | VkFence | fence | ) |

inline

Definition at line 3826 of file vulkan.hpp.

: m_fence( fence )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::Fence::operator bool | ( |  | ) | const

inline explicit

Definition at line 3866 of file vulkan.hpp.

{
return m_fence != VK_NULL_HANDLE;
}

References m_fence, and VK_NULL_HANDLE.

## operator VkFence()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Fence::operator VkFence | ( |  | ) | const

inline

Definition at line 3861 of file vulkan.hpp.

{
return m_fence;
}

References m_fence.

## operator!()

bool VULKAN_HPP_NAMESPACE::Fence::operator! | ( |  | ) | const

inline

Definition at line 3871 of file vulkan.hpp.

{
return m_fence == VK_NULL_HANDLE;
}

References m_fence, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Fence::operator!= | ( | Fence const & | rhs | ) | const

inline

Definition at line 3849 of file vulkan.hpp.

{
return m_fence != rhs.m_fence;
}

References m_fence.

## operator<()

bool VULKAN_HPP_NAMESPACE::Fence::operator< | ( | Fence const & | rhs | ) | const

inline

Definition at line 3854 of file vulkan.hpp.

{
return m_fence < rhs.m_fence;
}

References m_fence.

## operator=()

Fence& VULKAN_HPP_NAMESPACE::Fence::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3838 of file vulkan.hpp.

{
m_fence = VK_NULL_HANDLE;
return *this;
}

References m_fence, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Fence::operator== | ( | Fence const & | rhs | ) | const

inline

Definition at line 3844 of file vulkan.hpp.

{
return m_fence == rhs.m_fence;
}

References m_fence.

## Field Documentation

## m_fence

VkFence VULKAN_HPP_NAMESPACE::Fence::m_fence

private

Definition at line 3877 of file vulkan.hpp.

Referenced by operator bool(), operator VkFence(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::Fence::m_fence
VkFence m_fence
Definition: vulkan.hpp:3877
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49